/**
 * @(#)WebKeyMap.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * RIDUAL : ScanProperty
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/09/02
 */
package jp.co.nri.rid.web;

/**
 * WebPageが抜き出すHTML属性を現すクラス。
 */
public class WebKeyMap extends Hashtable2D{
	public static final String TITLE	= "Title";
	public static final String HYPERLINK= "HyperLink";
	public static final String CONTENTS	= "Contents";
	
	public	WebKeyMap(){
		super();
//		"meta.content"
		put("a"			,"href"			,HYPERLINK);
		put("area"		,"href"			,HYPERLINK);
		put("frame"		,"src"			,HYPERLINK);
//		put("form"		,"action"		,HYPERLINK);
/*
		put("cfform"	,"action"		,HYPERLINK);
		put("cflocation","url"			,HYPERLINK);
		put("cfinclude"	,"template"		,HYPERLINK);
		put("cferror"	,"template"		,HYPERLINK);
*/
		put("img"		,"src"			,CONTENTS);
		put("img"		,"lowsrc"		,CONTENTS);
		put("embed"		,"src"			,CONTENTS);
		put("embed"		,"lowsrc"		,CONTENTS);
		put("input"		,"src"			,CONTENTS);
		put("input"		,"lowsrc"		,CONTENTS);
		put("body"		,"background"	,CONTENTS);
		put("table"		,"background"	,CONTENTS);
		put("tr"		,"background"	,CONTENTS);
		put("td"		,"background"	,CONTENTS);
		put("include"	,"file"			,CONTENTS);
		put("include"	,"virtual"		,CONTENTS);
		put("exec"		,"cmd"			,CONTENTS);
		put("exec"		,"cgi"			,CONTENTS);
		put("script"	,"src"			,CONTENTS);
		put("link"		,"href"			,CONTENTS);
		put("link"		,"src"			,CONTENTS);
	}
}
